Skip to content
Get started

Earned badges for the token owner

GET/api/v1/me/badges

Earned badges for the token owner

ReturnsExpand Collapse
badges: optional array of object { description, earnedAt, emoji, 3 more }
description: optional string
earnedAt: optional string
formatdate-time
emoji: optional string
name: optional string
slug: optional string
xpThreshold: optional number

Earned badges for the token owner

curl https://racks.cash/api/v1/me/badges
{
  "badges": [
    {
      "description": "description",
      "earnedAt": "2019-12-27T18:11:19.117Z",
      "emoji": "⚔️",
      "name": "First Quest",
      "slug": "first-quest",
      "xpThreshold": 100
    }
  ]
}
Returns Examples
{
  "badges": [
    {
      "description": "description",
      "earnedAt": "2019-12-27T18:11:19.117Z",
      "emoji": "⚔️",
      "name": "First Quest",
      "slug": "first-quest",
      "xpThreshold": 100
    }
  ]
}